Bug 999357 - Can not create new appointments in Evolution
Can not create new appointments in Evolution
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 04:34 EDT by Gregor Hlawacek
Modified: 2013-08-30 19:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: evolution-ews-3.8.5-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 19:05:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregor Hlawacek 2013-08-21 04:34:27 EDT
Description of problem:

I can not create an appointment in my exchange calendar. Works for the Personal and my google calendar

Version-Release number of selected component (if applicable):
3.8.5

How reproducible:
Everytime

Steps to Reproduce:
1. create an appointment in the EWS connected exchange calendar
2.
3.

Actual results:

Cannot create calendar object: The request failed schema validation: The 'http://schemas.microsoft.com/exchange/services/2006/types:EmailAddress' element is invalid - The value '' is invalid according to its datatype 'http://schemas.microsoft.com/exchange/services/2006/types:NonEmptyStringType' - The actual length is less than the MinLength value.

Expected results:

 New appointment

Additional info:

I tried to run evolution with EWS_DEBUG=1 but the error doesn't show up. Seems (as the message indicates) to happen earlier already. I can edit appointments once they are created some where else. If you try to move an appointment from an other calendar into the EWS calendar it silently fails.
Comment 1 Fabiano Fidêncio 2013-08-21 04:51:50 EDT
Gregor,

Thank you for the report.
This problem was fixed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=702922
Comment 2 Gregor Hlawacek 2013-08-21 05:10:25 EDT
Will this be backported in the current 3.8 release for fedora it seems it has been done upstream.
Comment 3 Fabiano Fidêncio 2013-08-21 05:18:25 EDT
David Woodhouse have created a evolution-ews-3.8.5-2 package for Fedora 19, that includes this fix.
Comment 4 Fedora Update System 2013-08-22 01:05:10 EDT
evolution-ews-3.8.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/evolution-ews-3.8.5-2.fc19
Comment 5 Milan Crha 2013-08-22 01:05:44 EDT
David forgot to file an update for the build, thus I created one for him.
Comment 6 Fedora Update System 2013-08-22 20:36:09 EDT
Package evolution-ews-3.8.5-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-ews-3.8.5-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15167/evolution-ews-3.8.5-2.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-30 19:05:17 EDT
evolution-ews-3.8.5-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.